part of '../bmcommons.dart';

extension DateExtension on DateTime {
  String short() {
    return this.withFormat('dd/MM/yyyy');
  }

  String medium() {
    return DateFormat.yMMMMEEEEd().format(this);
  }

  String long() {
    return DateFormat.yMEd().format(this);
  }

  String withFormat(format) {
    return DateFormat(format).format(this);
  }
}
